%{?scl:%scl_package python-amqp}
%{!?scl:%global pkg_name %{name}}

%global srcname amqp

Summary:    Low-level AMQP client for Python (fork of amqplib)
Name:       %{?scl_prefix}python-amqp
Version:    1.4.9
Release:    1%{?dist}
License:    LGPLv2+
Group:      Development/Languages
Url:        http://pypi.python.org/pypi/amqp
Source0:    http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-setuptools
BuildRequires:  %{?scl_prefix}python-nose
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains extensions to the multiprocessing Pool.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
rm -rf %{buildroot}
%{?scl:scl enable %{scl} "}
%{__python3} setup.py install --no-compile --root %{buildroot}
%{?scl:"}

%clean
rm -rf %{buildroot}

%files
%doc Changelog LICENSE README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
* Wed Oct 5 2016 Patrick Creech <pcreech@redhat.com> - 1.4.9-1
- Initial Release for 1.4.9

